// Sample file provided by Nicolas Bonneel (http://www.bonneel.com)
// TreeGenerator sample (http://www.treegenerator.com)

#include "ExampleApplication.h"

class OgreTreeGeneratorApplication : public ExampleApplication
{
public:
	OgreTreeGeneratorApplication()
	{
	}
	~OgreTreeGeneratorApplication()
	{
	}
protected:
	void createScene(void);
	float getTerrainHeight(Vector3 pos);
	void createFrameListener(void);
	bool setup();

	Entity* mTerrainEnt;
	Ogre::uint8* mHeightFieldBits;
	std::vector<Pass*> mShadowReceivers;

};
